org.apache.tinkerpop.gremlin.server

## Class Settings.ScriptEngineSettings

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.Settings.ScriptEngineSettings

- Enclosing class:
    Settings

      public static class Settings.ScriptEngineSettings
      extends Object

  Settings for the `ScriptEngine`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map<String,Object>` | `config` A Map of configuration settings for the `ScriptEngine`.
    `List<String>` | `imports` A comma separated list of classes/packages to make available to the `ScriptEngine`.
    `Map<String,Map<String,Object>>` | `plugins` A set of configurations for `GremlinPlugin` instances to apply to this `GremlinScriptEngine`.
    `List<String>` | `scripts` A comma separated list of script files to execute on `ScriptEngine` initialization.
    `List<String>` | `staticImports` A comma separated list of "static" imports to make available to the `ScriptEngine`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptEngineSettings()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### imports

          public List<String> imports

      A comma separated list of classes/packages to make available to the `ScriptEngine`.

    - #### staticImports

          public List<String> staticImports

      A comma separated list of "static" imports to make available to the `ScriptEngine`.

    - #### scripts

          public List<String> scripts

      A comma separated list of script files to execute on `ScriptEngine` initialization. `Graph` and `TraversalSource` instance references produced from scripts will be stored globally in Gremlin Server, therefore it is possible to use initialization scripts to add `TraversalStrategy` instances or create entirely new `Graph` instances all together. Instantiating a `LifeCycleHook` in a script provides a way to execute scripts when Gremlin Server starts and stops.

    - #### config

          public Map<String,Object> config

      A Map of configuration settings for the `ScriptEngine`. These settings are dependent on the `ScriptEngine` implementation being used.

    - #### plugins

          public Map<String,Map<String,Object>> plugins

      A set of configurations for `GremlinPlugin` instances to apply to this `GremlinScriptEngine`. Plugins will be applied in the order they are listed.

  - ### Constructor Detail

    - #### ScriptEngineSettings

          public ScriptEngineSettings()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.